Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::PositionTarget Class Reference

`#include <OgrePositionTarget.h>`

Inheritance diagram for Ogre::PositionTarget:

[legend]
List of all members.

## Public Methods

virtual Real | getLeft (void) const=0
| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right).
virtual Real | getTop (void) const=0
| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom).
virtual PositionTarget * | getPositionTargetParent () const=0
virtual bool | isKeyEnabled () const=0
virtual void | processEvent (InputEvent *e)=0

## Member Function Documentation

virtual Real Ogre::PositionTarget::getLeft | ( | void |  | ) | const`[pure virtual]`

| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right). Implemented in Ogre::Cursor, Ogre::EventProcessor, and Ogre::GuiElement.

virtual PositionTarget* Ogre::PositionTarget::getPositionTargetParent | ( |  | ) | const`[pure virtual]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, and Ogre::GuiElement.

virtual Real Ogre::PositionTarget::getTop | ( | void |  | ) | const`[pure virtual]`

| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom). Implemented in Ogre::Cursor, Ogre::EventProcessor, and Ogre::GuiElement.

virtual bool Ogre::PositionTarget::isKeyEnabled | ( |  | ) | const`[pure virtual]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, Ogre::GuiElement, and Ogre::TextBoxGuiElement. Referenced by Ogre::EventDispatcher::trackKeyEnterExit().

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, Ogre::GuiControl, Ogre::GuiElement, Ogre::OverlayManager, Ogre::BorderButtonGuiElement, Ogre::ButtonGuiElement, Ogre::ScrollBarGuiElement, and Ogre::TextBoxGuiElement. Referenced by Ogre::EventDispatcher::processKeyEvent(), Ogre::EventDispatcher::retargetKeyEvent(), and Ogre::EventDispatcher::retargetMouseEvent().

The documentation for this class was generated from the following file:

- OgrePositionTarget.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:26 2004